package storage

import (
	crm "cake_crm/proto"
	"context"
)

type IStorage interface {
	GetCatalog(ctx context.Context) ([]*crm.Category, error)
	GetPositions(ctx context.Context, id int64) ([]*crm.Product, error)
	GetProduct(ctx context.Context, id int64) (*crm.Product, error)
	GetBreadcrumbs(ctx context.Context, id int64) ([]*crm.Category, error)
}
